
QGIS Application - Bug report #3581

Ftools: union tool leave holes in output

2011-03-09 04:04 AM - Giovanni Manghi

Status: Bounty paid

Priority: Low

Assignee: cfarmer -

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: All Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 13641

Description

Tested on trunk under Debian, Ubuntu, Windows Seven.

Odd, but it seems that in other installations on the same platforms the problem do not occur.

Associated revisions

Revision 7cd2850d - 2011-11-12 09:12 PM - Alexander Bruy

[BACKPORT] fix holes in Union output (fix #3581)

Revision 241b0b04 - 2011-11-29 09:48 AM - Alexander Bruy

[BACKPORT] fix holes in Union output (fix #3581)

History

#1 - 2011-03-09 04:09 AM - Giovanni Manghi

Test shapes

https://int.faunalia.it/~paolo/buff_shp.zip

https://int.faunalia.it/~paolo/comuni_shp.zip

#2 - 2011-04-16 11:08 PM - Alexander Bruy

Seems that comuni_shp.zip is broken, I can't extract files.

#3 - 2011-04-17 03:46 AM - Giovanni Manghi

Try this link

http://ubuntuone.com/p/n9O/

#4 - 2011-04-17 04:54 AM - Maxim Dubinin
https://int.faunalia.it/~paolo/buff_shp.zip
https://int.faunalia.it/~paolo/comuni_shp.zip
http://ubuntuone.com/p/n9O/


comuni is missing prj file

and prj file of buff_shp seems to be incorrect

I'd try unioning these two, but without knowing projection of comuni this would require a lot of guessing.

#5 - 2011-04-17 07:06 AM - Giovanni Manghi

they are both in EPSG 3003

#6 - 2011-07-25 09:16 AM - Paolo Cavallini

- Tracker changed from Bug report to 4

- Start date set to 2011-07-25

- Pull Request or Patch supplied set to No

#7 - 2011-11-12 12:24 PM - Alexander Bruy

Should be fixed in commit:7cd2850da5

Please check and report if any problems remains.

#8 - 2011-11-13 03:57 AM - Paolo Cavallini

- Status changed from Open to 7

Fixed, thanks Alex. The behaviour has changed: the warning of different/missing CRS is issued at the end of the analysis, not before starting. Previous one

seems better to me.

#9 - 2011-11-13 03:57 AM - Paolo Cavallini

- Status changed from 7 to Fixed for bounty

#10 - 2011-11-13 03:57 AM - Paolo Cavallini

- Status changed from Fixed for bounty to 10

#11 - 2011-11-13 04:57 AM - Paolo Cavallini

- Status changed from 10 to Bounty paid

#12 - 2011-11-13 06:24 AM - Alexander Bruy

There is no need to pay bounty. Please direct this money to support QGIS

#13 - 2012-04-15 09:23 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Tracker changed from 4 to Bug report

- Affected QGIS version set to master

#14 - 2017-05-01 01:23 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
union_holes.png 216 KB 2011-03-09 Giovanni Manghi
